/***************************************************************************
**  
**    $Header$
**
**    $Log$
** 
****************************************************************************/

// ep196.h : main header file for the EP251 application
//
#ifndef _EP196_H_
#define _EP196_H_

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "abiextfn.h"

/////////////////////////////////////////////////////////////////////////////
// CEp196App:
// See ep251.cpp for the implementation of this class
//

class CEp196App : public CWinApp
{           
//member
public:

public:
	CEp196App();
	~CEp196App();

// Overrides
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnIdle(LONG lCount);
	virtual void OnFilePrintSetup() { CWinApp::OnFilePrintSetup(); }
	
	void	GetLatestFile(CString& strFile);

private:
    BOOL m_bCtl3D;
public: //add for cpu status
    BOOL m_bCanTimer;//
    BOOL m_bWaiting; //     
    int  m_nCpuStatus;// 
    int  m_nCpuStatusBak;//
    ADDR m_GoArg;//
    BOOL m_bTraceOn;
    BOOL m_isInit;   // used for label display
// Implementation
public:
	//{{AFX_MSG(CEp196App)
	afx_msg void OnAppAbout();
	afx_msg BOOL OnOpenRecentFile(UINT nID);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// VB-Event extern declarations

//{{AFX_VBX_REGISTER()
//}}AFX_VBX_REGISTER

/////////////////////////////////////////////////////////////////////////////
#endif      

//add for export cpu status routine   
#ifdef __cplusplus
extern "C" {
#endif	// __cplusplus  
BYTE WINAPI GetCanTimer();
BYTE WINAPI GetWaiting();
int WINAPI GetCpuStatus2();
int WINAPI GetCpuStatusBak();    
BYTE WINAPI GetTraceOn(); 
void WINAPI GetGoArg(ADDR& GoArg); 
void WINAPI SetCanTimer(BYTE bCanTimer);
void WINAPI SetWaiting(BYTE bWaiting);
void WINAPI SetCpuStatus2(int nCpuStatus);
void WINAPI SetCpuStatusBak(int nCpuStatusBak);
void WINAPI SetTraceOn(BYTE bTraceOn);
void WINAPI SetGoArg(ADDR GoArg);
void WINAPI UpdateStatusBar(int n,CString str);
void WINAPI UpdateStatusBarAll();
#ifdef __cplusplus
}
#endif	// __cplusplus  

